---------------------------------------------------
-- A One-bit adder using logic equations (structural)
---------------------------------------------------


LIBRARY ieee;
USE  IEEE.STD_LOGIC_1164.all;

ENTITY ONEBIT_ADDER IS

		PORT (
			Ai,Bi, Ci	: IN STD_LOGIC;				
			So, Co		: OUT STD_LOGIC
		  );

END ONEBIT_ADDER;



ARCHITECTURE logic_equations OF ONEBIT_ADDER IS


BEGIN

So <= Ai XOR Bi XOR Ci;

Co <= (Ai AND Bi) OR (Ci AND (Ai OR Bi) );
			 		   	 		 		   	   
END logic_equations ;
